unit MainFrom;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    btnStart: TButton;
    btnStop: TButton;
    procedure btnStartClick(Sender: TObject);
    procedure btnStopClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  ModuleHandle: THandle;
  StartHook: function: Boolean; stdcall;
  StopHook: procedure; stdcall;

implementation

{$R *.dfm}

procedure TForm1.btnStartClick(Sender: TObject);
begin
  ModuleHandle := LoadLibrary('HookDll2.dll');
  @StartHook := GetProcAddress(ModuleHandle, 'StartHook');
  @StopHook := GetProcAddress(ModuleHandle, 'StopHook');
  if StartHook then begin
    btnStart.Enabled := False;
    btnStop.Enabled := True;
  end;
end;

procedure TForm1.btnStopClick(Sender: TObject);
begin
  StopHook;
  FreeLibrary(ModuleHandle);
  btnStart.Enabled := True;
  btnStop.Enabled := False;
end;

end.
