unit MainForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TfrmMain = class(TForm)
    lbxRecv: TListBox;
    lbxSend: TListBox;
    btnClear: TButton;
    chkRecv: TCheckBox;
    chkSend: TCheckBox;
    btnSave: TButton;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure btnClearClick(Sender: TObject);
    procedure btnSaveClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    HookOff: Boolean;
    { Private declarations }
  public
    { Public declarations }
    FDllData: Pointer;
  end;

var
  frmMain: TfrmMain;

implementation

uses
  ApiHook;

{$R *.dfm}

procedure TfrmMain.FormClose(Sender: TObject; var Action: TCloseAction);
begin
//  if not HookOff then begin
//    UnHookAPI;
//    UnHookWindowsHookEx(PDATA(FDllData)^.HookData);
//    PDATA(FDllData)^.HookData := 0;
//    HookOff := True;
//  end;
  Action := caFree;
end;

procedure TfrmMain.btnClearClick(Sender: TObject);
begin
  lbxRecv.Clear;
  lbxSend.Clear;
end;

procedure TfrmMain.btnSaveClick(Sender: TObject);
begin
  lbxRecv.Items.SaveToFile('c:\recv.txt');
  lbxSend.Items.SaveToFile('c:\send.txt');
end;

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  HookOff := False;
end;

procedure TfrmMain.FormDestroy(Sender: TObject);
begin
//  if not HookOff then begin
//    UnHookAPI;
//    UnHookWindowsHookEx(PDATA(FDllData)^.HookData);
//    PDATA(FDllData)^.HookData := 0;
//    HookOff := True;
//  end;
end;

end.

